Subject: Re: [bitcoin-dev] feature: Enhance privacy by change obfuscation

From: Evan Klitzke <[email-masked]>
Date: Sat, 17 Mar 2018 22:50:34 -0700

Damian Williamson via bitcoin-dev 
<[email-masked]> writes:
> Operation: Provide a user selectable 'Enhanced privacy' option for
> transaction creation, when true the transaction randomly distributes
> change across up to twenty output addresses (minimum five?), provided
> each output is not dust.

This would be really expensive for the network due to the bloat in UTXO
size, a cost everyone has to pay for. Not to mention the fact that it
doesn't really seem that private, as the wallet is likely going to have
to rejoin those inputs in future transactions (and the user will have to
pay a high transaction fee as a result).

--
Evan Klitzke
https://eklitzke.org/